LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::embed::EmbedStates Constant Group Referencepublished

This constant set contains possible states for EmbeddedObject. More...

## Variables
const long | LOADED = 0
| "Loaded" - the persistent representation of the object is loaded in memory. More...
const long | RUNNING = 1
| "Running" - the object is connected and loaded. More...
const long | ACTIVE = 2
| "Active" - the object is activated in separate window ( outplace activation ). More...
const long | INPLACE_ACTIVE = 3
| "Inplace active" - the object has own window in the container's window. More...
const long | UI_ACTIVE = 4
| "UI active" - the inplace active object that has user interface. More...

## Detailed Description

This constant set contains possible states for EmbeddedObject.

## Variable Documentation

## ◆ ACTIVE

const long ACTIVE = 2

"Active" - the object is activated in separate window ( outplace activation ).

## ◆ INPLACE_ACTIVE

const long INPLACE_ACTIVE = 3

"Inplace active" - the object has own window in the container's window.

The object is activated and has its own window in the container's window that allows object to process mouse events and control own rendering.

## ◆ LOADED

const long LOADED = 0

"Loaded" - the persistent representation of the object is loaded in memory.

The object is created and assigned with a persistent entry, and a view representation ( metafile and etc. ) can be retrieved ( if there is any ).

## ◆ RUNNING

const long RUNNING = 1

"Running" - the object is connected and loaded.

The object has a connection to the container client and a component loaded from persistent entry. In case of internal document it also means existing of document model that implements com::sun::star::frame::XModel interface.

## ◆ UI_ACTIVE

const long UI_ACTIVE = 4

"UI active" - the inplace active object that has user interface.

The object is inplace active, allowed to have menus, toolbars, keyboard accelerators, and has the focus.